Summary:        Pure-Python MySQL client library
Name:           python-PyMySQL
Version:        1.1.1
Release:        3%{?dist}
License:        MIT
URL:            https://pypi.python.org/pypi/PyMySQL/
Source0:        %{pypi_source pymysql}

BuildArch:      noarch

%description
This package provides a pure-Python MySQL client library. Its goal is to be a drop-in replacement 
for MySQLdb and work on CPython, PyPy, IronPython and Jython.


%package -n     python3-PyMySQL
Summary:        %{summary}
BuildRequires:  python3-devel python3-setuptools
BuildRequires:  python3-pip python3-wheel
BuildRequires:  python3-cryptography
BuildRequires:  python3-pynacl
Requires:	    python3-cryptography
Provides:       python3-PyMySQL = %{version}-%{release}

%description -n python3-PyMySQL
This package provides a pure-Python MySQL client library. Its goal is to be a drop-in replacement 
for MySQLdb and work on CPython, PyPy, IronPython and Jython.


%prep
%autosetup -n pymysql-%{version}

%build
%pyproject_wheel


%install
%pyproject_install


%check
# These tests cannot be run on koji because they need to run mysqldb.


%files -n python3-PyMySQL
%license LICENSE
%doc README.md
%{python3_sitelib}/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.1-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.1-2
- Rebuilt for loongarch release

* Mon Jun 17 2024 Upgrade Robot <upbot@opencloudos.tech> - 1.1.1-1
- Upgrade to version 1.1.1
- fix CVE-2024-36039

* Fri Sep 22 2023 jackeyji <jackeyji@tencent.com> - 1.1.0-1
- upgrade to 1.1.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.2-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.2-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 16 2022 Wang Guodong <gordonwwang@tencent.com> - 1.0.2-1
- package init.
